Subject: bug#67518: 30.0.50; eglot unbound slot warning unable to start server with EIEIO change 6c47931a1ad

From: Mark Barton <[email-masked]>
Date: Tue, 28 Nov 2023 21:31:06 -0800

> On Nov 28, 2023, at 7:47 PM, Eric Abrahamsen <[email-masked]> wrote:
> 
> merge 67518 67480
> quit
> 
> Mark Barton <[email-masked]> writes:
> 
>> Today I noticed that eglot would not start the powershell or python
>> language servers that I had used recently. There was a warning in
>> Messages that there was an unbound slot.
> 
> Thanks, this has already been reported, and I'm merging the bugs.

FYI

Confirmed the fix on my system with commit 
02d88e36e911e76842369e565ca2dae9a7922f7b Unbreak Eglot, Jsonrpc as EIEIO inches closer to CLOS (bug#67480)